Subject: [dhcwg] Re: [Mip4] draft-ietf-mip4-gen-ext-03.txt

From: Ralph Droms <[email-masked]>
Date: Thu, 15 Nov 2007 14:33:23 -0500

Pete - I notice that there are no references to other Mobile IPv4  
documents in this draft, which makes it difficult for someone like  
myself who is relatively uninformed about Mobile IPv4 to know how to  
get more context about Mobile IPv4 extensions, the Mobile IPv4  
message exchanges, etc.

I tried reading RFC 3024 and, perhaps not giving myself enough time  
to understand the doc fully, I didn't see the problem with using  
DHCPINFORM with reverse tunneling.

I wasn't able to answer another question for myself: what is the  
address assignment model and does critical information like subnet  
mask and default router have to be delivered at the same time as any  
assigned addresses?

- Ralph

On Nov 13, 2007, at Nov 13, 2007,12:00 PM, McCann Peter-A001034 wrote:

> We have yet to arrive at a conclusion on whether to
> proceed with this draft or document a DHCP-based
> solution.
>
> It was recently pointed out to me that the DHCPINFORM
> message may have some issues with reverse tunneling
> due to the need to use encapsulating delivery style.
> People might be concerned about the extra overhead
> of this requirement.
>
> I'd like to ask members of the DHCP community especially
> to please comment to both lists; it may help to read
> RFC 3024 before doing so.
>
> I'd like to have this issue resolved before Vancouver.
>
> -Pete
>
>
> Chowdhury, Kuntal wrote:
>> Hi Pete,
>>
>> I think the source of the confusion is the use of DHCP options. The
>> initial version of this I-D did not propose to use DHCP options at
>> all.
>> The proposal contained a few possible host config parameters that we
>> would have defined. However, someone saw the light, and suggested
>> that instead of redesigning the host config options from scratch, why
>> not we used the options and the format of the options carrying config
>> info as defined in DHCP. It made sense; hence we decided to accept
>> that approach.
>>
>> Now, I see that people are mixing the use of DHCP protocol with MIP4
>> host config options. I think this is a digression that we should
>> avoid.
>> We need to understand the scope of the I-D. It does not rule out
>> other ways to do host configuration when the MN is using MIP4. It
>> defines _a_ way that is Mobile IP specific. It is also the most
>> efficient one from the number of round trips point of view.
>>
>> When you say that running DHCP inside MIP4 tunnel allows for a single
>> protocol to be used whether the MN is at home or visiting, I have a
>> question. How is it possible for the MN to fetch config info from the
>> visited network when RT is negotiated and enforced at the FA?
>>
>> BTW, the approach specified in the draft-ietf-mip4-gen-ext-03.txt
>> allows the use of a single protocol i.e. MIP4 to be used to fetch
>> config info from home and visited networks, not to mention with fewer
>> number of messages.
>>
>> Another issue that we need to think about the use of DHCP inside MIP4
>> tunnel is security. We cannot prohibit the MN to run DHCPINFORM only,
>> right? The MN may start doing IP address config (lease and release).
>> How to secure these DHCP messages? If we intend to only allow the MN
>> to send DHCPINFORM, how do we prevent it from sending other DHCP
>> messages?
>>
>> AFAIK, RFC 3118 is not widely implemented and used. Even if it is, we
>> can't expect the MIP4 implementations to start implementing RFC 3118
>> just to get a few config info from the home domain.
>>
>> Regards,
>> Kuntal
>>
>>> -----Original Message-----
>>> From: McCann Peter-A001034 [mailto:[email-masked]]
>>> Sent: Tuesday, July 31, 2007 9:01 AM
>>> To: [email-masked]; [email-masked]
>>> Subject: [Mip4] draft-ietf-mip4-gen-ext-03.txt
>>>
>>> A question has arisen during the last call for
>>> draft-ietf-mip4-gen-ext-03.txt.
>>>
>>> The draft includes the following text:
>>>
>>>     There are mechanisms
>>>     such as DHCP for the mobile node to configure information from
>>>     the foreign network, but not from the home network when the
>>>     mobile node is not attached to the home network.
>>>
>>> However, this may not be strictly true.  In particular, it might be
>>> possible to use a DHCPINFORM message through the tunnel that was
>>> established with Mobile IP, thus eliminating the need to encode DHCP
>>> options inside Mobile IP messages.
>>> This would allow for a single configuration protocol to be used
>>> whether the MN is at home or visiting.
>>>
>>> I think we may have touched on this question during our last
>>> chartering discussion but we might not have explored all the
>>> ramifications.  Please, if you have an opinion either way express it
>>> now and give some background as to why you think so.
>>> It is possible that we might turn this draft into a BCP-like  
>>> document
>>> for how to configure and run DHCP over the tunnel to the home
>>> network.
>>>
>>> -Pete

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 19 Nov 2007 13:27:36 +0100

Hi Ralph and all,

I have only one small comment regarding Pete's excellent
exposition, inline below:

On 2007-11-15 21:24 McCann Peter-A001034 said the following:
> Hi, Ralph,
...

> When reverse tunneling ala RFC 3024 is used (as it is in most 
> major deployments of MIP), the MN has a choice about whether
> to negotiate "encapsulated delivery style" on the last hop
> link.  It must negotiate this if it wants to send broadcast
> datagrams (of which I think the DHCPDISCOVER is one) to the
> home network.  In this case, an FA will look at each packet,
> and reverse tunnel the ones that are so encapsulated and send
> other packets directly.  The problem I was trying to point 
> out is that this extra encapsulation would be present on 
> every packet sent to the home network, which might cause
> a lot of overhead on the link between the MN and FA.  If
> this is a wireless link, this overhead is especially onerous.

Note, though, that there is currently a proposal in 
draft-chakrabarti-mip4-mcbc-01 which if pursued will remove
the extra encapsulation on all packets:
  http://www.tools.ietf.org/html/draft-chakrabarti-mip4-mcbc-01

> Please post if you have any remaining questions or if I 
> have misunderstood the DHCP message flow.

Regards,

	Henrik

---

From: "Parviz Yegani (pyegani)" <[email-masked]>
Date: Mon, 19 Nov 2007 13:17:29 -0800

-----Original Message-----
From: Henrik Levkowetz [mailto:[email-masked]] 
Sent: Monday, November 19, 2007 4:28 AM
To: McCann Peter-A001034
Cc: [email-masked]; [email-masked]; Ralph Droms (rdroms)
Subject: [dhcwg] Re: [Mip4] draft-ietf-mip4-gen-ext-03.txt

Hi Ralph and all,

I have only one small comment regarding Pete's excellent exposition,
inline below:

...

> When reverse tunneling ala RFC 3024 is used (as it is in most major 
> deployments of MIP), the MN has a choice about whether to negotiate 
> "encapsulated delivery style" on the last hop link.  It must negotiate

> this if it wants to send broadcast datagrams (of which I think the 
> DHCPDISCOVER is one) to the home network.  In this case, an FA will 
> look at each packet, and reverse tunnel the ones that are so 
> encapsulated and send other packets directly.  The problem I was 
> trying to point out is that this extra encapsulation would be present 
> on every packet sent to the home network, which might cause a lot of 
> overhead on the link between the MN and FA.  If this is a wireless 
> link, this overhead is especially onerous.

Note, though, that there is currently a proposal in
draft-chakrabarti-mip4-mcbc-01 which if pursued will remove the extra
encapsulation on all packets:
  http://www.tools.ietf.org/html/draft-chakrabarti-mip4-mcbc-01

Yes, an update (-02) has been posted.

Rgds,
Parviz

> Please post if you have any remaining questions or if I have 
> misunderstood the DHCP message flow.

Regards,

	Henrik